apiVersion: apps/v1
kind: Deployment
metadata:
  name: apkt-eis
spec:
  replicas: 3
  selector:
    matchLabels:
      app: apkt-eis
  template:
    metadata:
      labels:
        app: apkt-eis
    spec:
      containers:
        - name: apkt-eis
          image: defuj/apkt-eis:v0.0.10-vm
          ports:
            - containerPort: 80
---
apiVersion: v1
kind: Service
metadata:
  name: apkt-eis-nodeport
spec:
  selector:
    app: apkt-eis
  ports:
    - protocol: TCP
      port: 80
      targetPort: 80
      nodePort: 32166
  type: NodePort
---
apiVersion: v1
kind: Service
metadata:
  name: apkt-eis-clusterip
spec:
  selector:
    app: apkt-eis
  ports:
    - protocol: TCP
      port: 32166
      targetPort: 80
  type: ClusterIP
